Subject: bug#67704: 30.0.50; Emacs hangs indefinitely when writing GPG-encrypted file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Dec 2023 09:09:55 +0200

> From: Tassilo Horn <[email-masked]>
> Date: Fri, 08 Dec 2023 07:49:13 +0100
> 
> 
> I have several GPG-encrypted files such as ~/.authinfo.gpg which I use
> as auth-source.  I can still open them fine where I get a pinentry
> dialog the first time until the password is cached in the gpg-agent.
> However, I cannot save/write such files from emacs anymore which used to
> work flawlessly for many years.
> 
> When I try to save, emacs just seems to hang indefinitely.  Setting
> debug-on-quit and then C-g-ing reveals it hangs in there (emacs -Q):

Isn't this the problem with GnuPG described in PROBLEMS under "Saving
a file encrypted with GnuPG via EasyPG hangs"?